﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="Default.aspx.vb" Inherits="_Default" %>

<%@ Register Assembly="C1.Web.Wijmo.Controls.4" Namespace="C1.Web.Wijmo.Controls.C1Wizard"
    TagPrefix="wijmo" %>

<%@ Register Assembly="C1.Web.Wijmo.Controls.4" Namespace="C1.Web.Wijmo.Controls.C1Upload"
    TagPrefix="wijmo" %>
<%@ Register assembly="C1.Web.Wijmo.Controls.4" namespace="C1.Web.Wijmo.Controls.C1Pager" tagprefix="wijmo" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script type="text/javascript" src="http://code.jquery.com/jquery-1.6.2.min.js"></script>
         <asp:PlaceHolder ID="pl" runat="server">
        <script type="text/javascript" src="Scripts/jquery-1.4.1.min.js"></script>
        <script type="text/javascript">
        
            function OnClientValidating(e, ui) {
                var wizard = document.getElementById('C1Wizard1');
                var tbvalue = document.getElementById('<%= txtMenuTitle.ClientID%>');
                if (tbvalue.value == "") {
                    alert("Please fill up all the data");
                    e.preventDefault();
                }
            }

            
        </script>
    </asp:PlaceHolder>
</head>
<body>
    <form id="form1" runat="server">

  
    <wijmo:C1Wizard ID="C1Wizard1" runat="server" CausesValidation="true" OnClientValidating="OnClientValidating" >
    <Steps>
        <wijmo:C1WizardStep runat="server" Title="Step 1" ID="Step1">
            Enter the menu item text as it will appear in the intranet menu<br />
            <asp:TextBox ID="txtMenuTitle" runat="server" Width="300px"></asp:TextBox><br /><br />
            Enter a more detailed description of the menu item so that when the user mouses over the menu item, they will have a description of the functionality<br />
            <asp:TextBox ID="txtMenuDescription" runat="server" Width="500px"></asp:TextBox><br /><br />
            Does this menu item have sub-menus?<br />
            <asp:RadioButtonList ID="RadioButtonList1" runat="server">
            <asp:ListItem ID="rdoYes" runat="server">Yes</asp:ListItem>
            <asp:ListItem ID="rdoNo" runat="server">No</asp:ListItem>
            </asp:RadioButtonList>
        </wijmo:C1WizardStep>
        <wijmo:C1WizardStep runat="server" Title="Step 2" ID="Step2">
            Enter the document that you want this menu item to display<br />
            <asp:Literal ID="litNoUpload" runat="server" Visible="false" Text="(This step can be skipped as you are creating a menu with sub menus. Click Next to continue.)"></asp:Literal><br />
            <wijmo:C1Upload ID="C1Upload1" runat="server" Width="300px" MaximumFiles="1" />

        </wijmo:C1WizardStep>
        <wijmo:C1WizardStep runat="server" Title="Step 3" ID="Step3">
            Menu Display - <asp:Literal ID="litMenuDisplay" runat="server"></asp:Literal><br />
            Menu Help Display - <asp:Literal ID="litMenuHelpDisplay" runat="server"></asp:Literal><br />
            Submenus Exist - <asp:Literal ID="litSubMenusExist" runat="server"></asp:Literal><br />
            Document To Display - <asp:Literal ID="litDocumentToDisplay" runat="server"></asp:Literal><br /><br /><br />
            Click Next to complete the wizard
        </wijmo:C1WizardStep>
        <wijmo:C1WizardStep ID="Step4" runat="server" Title="Complete">
            Congratulations! You should now see your menu item in the Intranet menu for your functional group.
        </wijmo:C1WizardStep>
        </Steps>
        </wijmo:C1Wizard>
    </form>
</body>
</html>
